# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Perl extension for merging IPv4 or IPv6 CIDR addresses
Name:		perl-Net-CIDR-Lite
Version:	0.21
Release:	5.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Net-CIDR-Lite/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DO/DOUGW/Net-CIDR-Lite-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Net::CIDR::Lite - Perl extension for merging IPv4 or IPv6 CIDR addresses.

%prep
%setup -q -n Net-CIDR-Lite-%{version} 
 
%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::CIDR::Lite.3pm*

%changelog
* Fri Jun 29 2012 Paul Howarth <paul@city-fan.org> 0.21-5
- BR: perl(Carp), perl(Test) and perl(Test::More)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Tue Jul  5 2011 Paul Howarth <paul@city-fan.org> 0.21-4
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 0.21-3
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 0.21-2
- Fix dist tag to work with RHEL6 Beta

* Fri Mar 26 2010 Paul Howarth <paul@city-fan.org> 0.21-1
- Update to 0.21
  - Fix spanner clean() docs (CPAN RT#14535)
  - Undef dereference with empty object (CPAN RT#25898)
  - Add short_list_range() method (CPAN RT#30777)
  - clean() or list() before add() causes error (CPAN RT#48308)
  - spanner add() did not accept non-object (CPAN RT#50042)
  - "::" not accepted as valid IPv6 address (CPAN RT#52571)

* Mon Mar  1 2010 Paul Howarth <paul@city-fan.org> 0.20-5
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep 22 2009 Paul Howarth <paul@city-fan.org> 0.20-4
- Define RPM macros in global scope

* Fri Oct 31 2008 Paul Howarth <paul@city-fan.org> 0.20-3
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 0.20-2
- Fix dist tags for development builds and Fedora 7 onwards
- Fix argument order for find with -depth
- Define %%{__id_u} in a more portable way
- BuildRequire perl(ExtUtils::MakeMaker)

* Tue Feb 14 2006 Paul Howarth <paul@city-fan.org> 0.20-1
- Update to 0.20

* Tue Jan 31 2006 Paul Howarth <paul@city-fan.org> 0.19-1
- Update to 0.19
- Simplify distribution-detection code and support builds on CentOS
- Remove __perl_version macro, used only once
- Remove __perl_package macro, used only twice
- Use search.cpan.org URLs
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in build-time command paths, hardcode them instead

* Fri Sep  2 2005 Paul Howarth <paul@city-fan.org> 0.18-3
- Add note about package being available in Fedora Extras
- Add BR: perl(Test::Pod), perl(Test::Pod::Coverage)

* Wed Jul 13 2005 Paul Howarth <paul@city-fan.org> 0.18-2
- Fix bogus Group: tag
- Remove optimizations from %%build, not needed for noarch packages
- Fix directory ownership issues

* Mon May 23 2005 Paul Howarth <paul@city-fan.org> 0.18-1
- Update to 0.18
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency

* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> 0.15-3
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuilt from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 0.15-2
- Unified spec file for Red Hat and Fedora Core

* Fri Jan 09 2004 Paul Howarth <paul@city-fan.org> 0.15-1.fc1
- Initial RPM build
